# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-pysctp
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name:		python-module-pysctp
Version:	0.3.1
Release:	alt1_14
Summary:	Python sctp socket api extensions bindings
Group:		System/Libraries
License:	LGPLv2
URL:		http://epx.com.br/pysctp/
Source0:	http://epx.com.br/pysctp/pysctp-%{version}.tar.gz
Source1:	setup.py
Source2:	__init__.py
BuildRequires:  python-module-distribute liblksctp-devel
BuildRequires:	python-devel

Patch0: pysctp-buildfix.patch
Source44: import.info

%description
Python bindings for the SCTP socket api (see draft-ietf-tsvwg-sctpsocket-10.txt)

%prep
%setup -q -n pysctp-%{version}
%patch0 -p1
mkdir ./pysctp
cp %{SOURCE1} . 
cp %{SOURCE2} ./pysctp
mv ./sctp.py ./pysctp

%build
FLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%{python_sitelibdir}/*
%doc README Changelog doc/draft-ietf-tsvwg-sctpsocket-10.txt

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_14
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_13
- initial fc import

